Bug 449118 - In MDI subwindow mode and hidpi, maximizing subwindow causes menubar to increase height
Summary: In MDI subwindow mode and hidpi, maximizing subwindow causes menubar to incre...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL: https://bugreports.qt.io/browse/QTBUG...
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-25 08:37 UTC by Alvin Wong
Modified: 2022-02-25 20:22 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alvin Wong 2022-01-25 08:37:26 UTC
Reproducible on Windows and Linux.

Probably should include a patch of the upstream fix and request to backport to kde/5.15.

Upstream bug report: https://bugreports.qt.io/browse/QTBUG-87871
Upstream commit (dev branch): https://invent.kde.org/qt/qt/qtbase/-/commit/33ddacdd24523acbdafcda0f520dd2d73c879cfb
KDE backport tracker: https://invent.kde.org/qt/backports-tracker/-/issues/333
Comment 1 Bug Janitor Service 2022-01-25 09:10:19 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/1311
Comment 2 Alvin Wong 2022-01-27 16:04:19 UTC
Git commit ba54a5ba2591dfcd3070ca9705131c24ab71a0db by Alvin Wong.
Committed on 27/01/2022 at 16:03.
Pushed by alvinwong into branch 'master'.

qt: Fix hidpi menubar height in MDI mode with maximized subwindow

Qt bug: https://bugreports.qt.io/browse/QTBUG-87871

M  +5    -0    3rdparty/ext_qt/CMakeLists.txt
A  +44   -0    3rdparty/ext_qt/bug449118-QMdiSubWindow-Set-correct-ControlLabel-size.patch

https://invent.kde.org/graphics/krita/commit/ba54a5ba2591dfcd3070ca9705131c24ab71a0db
Comment 3 amyspark 2022-02-25 20:22:41 UTC
Git commit 9c8abbb1b0d19101fce591ea8e4f237c9fe7a7ac by L. E. Segovia, on behalf of Alvin Wong.
Committed on 25/02/2022 at 15:40.
Pushed by lsegovia into branch 'krita/5.0'.

qt: Fix hidpi menubar height in MDI mode with maximized subwindow

Qt bug: https://bugreports.qt.io/browse/QTBUG-87871

(cherry picked from commit ba54a5ba2591dfcd3070ca9705131c24ab71a0db)

M  +5    -0    3rdparty/ext_qt/CMakeLists.txt
A  +44   -0    3rdparty/ext_qt/bug449118-QMdiSubWindow-Set-correct-ControlLabel-size.patch

https://invent.kde.org/graphics/krita/commit/9c8abbb1b0d19101fce591ea8e4f237c9fe7a7ac